org.eclipse.net4j.db

## Enum DBType

- java.lang.Object
- - java.lang.Enum<DBType>
  - - org.eclipse.net4j.db.DBType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DBType>

      public enum DBType
      extends java.lang.Enum<DBType>

  Enumerates the SQL data types that are compatible with the DB framework.
  Author:
    Eike Stepper
  No Extend
    This interface is not intended to be extended by clients.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIGINT`
    `BINARY`
    `BIT`
    `BLOB`
    `BOOLEAN`
    `CHAR`
    `CLOB`
    `DATE`
    `DECIMAL`
    `DOUBLE`
    `FLOAT`
    `INTEGER`
    `LONGVARBINARY`
    `LONGVARCHAR`
    `NUMERIC`
    `REAL`
    `SMALLINT`
    `TIME`
    `TIMESTAMP`
    `TINYINT`
    `VARBINARY`
    `VARCHAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `getKeyword()`
    `static DBType` | `getTypeByCode(int code)`
    `static DBType` | `getTypeByKeyword(java.lang.String keyword)`
    `void` | `readValue(ExtendedDataInput in, java.sql.PreparedStatement statement, int column, boolean canBeNull)`
    `abstract java.lang.Object` | `readValueWithResult(ExtendedDataInput in, java.sql.PreparedStatement statement, int column, boolean canBeNull)`
    `java.lang.String` | `toString()`
    `static DBType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DBType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `void` | `writeValue(ExtendedDataOutput out, java.sql.ResultSet resultSet, int column, boolean canBeNull)`
    `abstract java.lang.Object` | `writeValueWithResult(ExtendedDataOutput out, java.sql.ResultSet resultSet, int column, boolean canBeNull)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final DBType BOOLEAN

    - #### BIT

          public static final DBType BIT

    - #### TINYINT

          public static final DBType TINYINT

    - #### SMALLINT

          public static final DBType SMALLINT

    - #### INTEGER

          public static final DBType INTEGER

    - #### BIGINT

          public static final DBType BIGINT

    - #### FLOAT

          public static final DBType FLOAT

    - #### REAL

          public static final DBType REAL

    - #### DOUBLE

          public static final DBType DOUBLE

    - #### NUMERIC

          public static final DBType NUMERIC

    - #### DECIMAL

          public static final DBType DECIMAL

    - #### CHAR

          public static final DBType CHAR

    - #### VARCHAR

          public static final DBType VARCHAR

    - #### LONGVARCHAR

          public static final DBType LONGVARCHAR

    - #### CLOB

          public static final DBType CLOB

    - #### DATE

          public static final DBType DATE

    - #### TIME

          public static final DBType TIME

    - #### TIMESTAMP

          public static final DBType TIMESTAMP

    - #### BINARY

          public static final DBType BINARY

    - #### VARBINARY

          public static final DBType VARBINARY

    - #### LONGVARBINARY

          public static final DBType LONGVARBINARY

    - #### BLOB

          public static final DBType BLOB

  - ### Method Detail

    - #### values

          public static DBType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DBType c : DBType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DBType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### getKeyword

          public java.lang.String getKeyword()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DBType>`

    - #### writeValue

          public void writeValue(ExtendedDataOutput out,
                                 java.sql.ResultSet resultSet,
                                 int column,
                                 boolean canBeNull)
                          throws java.sql.SQLException,
                                 java.io.IOException

      Throws:
        `java.sql.SQLException`
        `java.io.IOException`
      Since:
        3.0

    - #### writeValueWithResult

          public abstract java.lang.Object writeValueWithResult(ExtendedDataOutput out,
                                                                java.sql.ResultSet resultSet,
                                                                int column,
                                                                boolean canBeNull)
                                                         throws java.sql.SQLException,
                                                                java.io.IOException

      Throws:
        `java.sql.SQLException`
        `java.io.IOException`
      Since:
        4.1

    - #### readValue

          public void readValue(ExtendedDataInput in,
                                java.sql.PreparedStatement statement,
                                int column,
                                boolean canBeNull)
                         throws java.sql.SQLException,
                                java.io.IOException

      Throws:
        `java.sql.SQLException`
        `java.io.IOException`
      Since:
        3.0

    - #### readValueWithResult

          public abstract java.lang.Object readValueWithResult(ExtendedDataInput in,
                                                               java.sql.PreparedStatement statement,
                                                               int column,
                                                               boolean canBeNull)
                                                        throws java.sql.SQLException,
                                                               java.io.IOException

      Throws:
        `java.sql.SQLException`
        `java.io.IOException`
      Since:
        4.1

    - #### getTypeByKeyword

          public static DBType getTypeByKeyword(java.lang.String keyword)

      Since:
        3.0

    - #### getTypeByCode

          public static DBType getTypeByCode(int code)

      Since:
        4.2

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html